This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 478117 - MIGRATED_FROM_JIRA: Cannot connect to Penrose Server from Penrose Studio
MIGRATED_FROM_JIRA: Cannot connect to Penrose Server from Penrose Studio
Status: MODIFIED
Product: penrose
Classification: Retired
Component: Studio (Show other bugs)
2.0
All Linux
low Severity low
: ---
: ---
Assigned To: Endi Sukma Dewata
Ben Levenson
:
Depends On:
Blocks: 471500
  Show dependency treegraph
 
Reported: 2008-12-27 03:00 EST by Chandrasekar Kannan
Modified: 2016-01-28 17:00 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chandrasekar Kannan 2008-12-27 03:00:47 EST
I have configured the Penrose server with the example data included and installed the schemas and everything. I am able to successfully start the Penrose server without any errors showing up in debug logging mode (created log4j config file). I am also able to successfully browse the LDAP tree from remote with a java-based ldap browser. This also generates no errors in any logs.

However when I try to connect to the server using penrose studio, it doesn't work at all. Here is the output of the local logfile for Penrose Studio:

PenrosePlugin        [   ?] Starting PenrosePlugin
PenroseApplication   [   ?] Initializing PenroseApplication ... init()
PenroseApplication   [   ?] Running Penrose Studio ... run()
PenroseWorkbenchWindowAdvisor [   ?] preWindowOpen
PenroseApplication   [   ?] Loading projects from C:\Documents and Settings\mbditt\.penrose\config.xml
ApplicationConfig    [   ?] Loading project configurations file from: C:\Documents and Settings\mbditt\.penrose\config.xml
PenroseClient        [  63] Connecting to 192.168.2.38:1099 as admin with password secret
PenroseClient        [  63] Connecting to 192.168.2.38:1099 as admin with password secret
ProjectEditorDialog$1 [   ?] Connection refused to host: 127.0.0.1; nested exception is: 
	java.net.ConnectException: Connection refused: connect
java.rmi.ConnectException: Connection refused to host: 127.0.0.1; nested exception is: 
	java.net.ConnectException: Connection refused: connect
	at sun.rmi.transport.tcp.TCPEndpoint.newSocket(TCPEndpoint.java:574)
	at sun.rmi.transport.tcp.TCPChannel.createConnection(TCPChannel.java:185)
	at sun.rmi.transport.tcp.TCPChannel.newConnection(TCPChannel.java:171)
	at sun.rmi.server.UnicastRef.invoke(UnicastRef.java:94)
	at javax.management.remote.rmi.RMIServerImpl_Stub.newClient(Unknown Source)
	at javax.management.remote.rmi.RMIConnector.getConnection(RMIConnector.java:2229)
	at javax.management.remote.rmi.RMIConnector.connect(RMIConnector.java:271)
	at javax.management.remote.JMXConnectorFactory.connect(JMXConnectorFactory.java:248)
	at org.safehaus.penrose.management.PenroseClient.connect(PenroseClient.java:74)
	at org.safehaus.penrose.studio.project.ProjectEditorDialog$1.widgetSelected(Unknown Source)
	at org.eclipse.swt.widgets.TypedListener.handleEvent(TypedListener.java:90)
	at org.eclipse.swt.widgets.EventTable.sendEvent(EventTable.java:66)
	at org.eclipse.swt.widgets.Widget.sendEvent(Widget.java:843)
	at org.eclipse.swt.widgets.Display.runDeferredEvents(Display.java:3080)
	at org.eclipse.swt.widgets.Display.readAndDispatch(Display.java:2713)
	at org.safehaus.penrose.studio.project.ProjectEditorDialog.open(Unknown Source)
	at org.safehaus.penrose.studio.project.ProjectDialog.editProject(Unknown Source)
	at org.safehaus.penrose.studio.project.ProjectDialog$10.widgetSelected(Unknown Source)
	at org.eclipse.swt.widgets.TypedListener.handleEvent(TypedListener.java:90)
	at org.eclipse.swt.widgets.EventTable.sendEvent(EventTable.java:66)
	at org.eclipse.swt.widgets.Widget.sendEvent(Widget.java:843)
	at org.eclipse.swt.widgets.Display.runDeferredEvents(Display.java:3080)
	at org.eclipse.swt.widgets.Display.readAndDispatch(Display.java:2713)
	at org.safehaus.penrose.studio.project.ProjectDialog.open(Unknown Source)
	at org.safehaus.penrose.studio.PenroseWorkbenchWindowAdvisor.preWindowOpen(Unknown Source)
	at org.eclipse.ui.internal.WorkbenchWindow.fireWindowOpening(WorkbenchWindow.java:1038)
	at org.eclipse.ui.internal.WorkbenchWindow.<init>(WorkbenchWindow.java:304)
	at org.eclipse.ui.internal.Workbench.newWorkbenchWindow(Workbench.java:1173)
	at org.eclipse.ui.internal.Workbench.busyOpenWorkbenchWindow(Workbench.java:662)
	at org.eclipse.ui.internal.Workbench.doOpenFirstTimeWindow(Workbench.java:1282)
	at org.eclipse.ui.internal.Workbench.openFirstTimeWindow(Workbench.java:1223)
	at org.eclipse.ui.internal.WorkbenchConfigurer.openFirstTimeWindow(WorkbenchConfigurer.java:190)
	at org.eclipse.ui.application.WorkbenchAdvisor.openWindows(WorkbenchAdvisor.java:706)
	at org.eclipse.ui.internal.Workbench.init(Workbench.java:1034)
	at org.eclipse.ui.internal.Workbench.runUI(Workbench.java:1636)
	at org.eclipse.ui.internal.Workbench.createAndRunWorkbench(Workbench.java:367)
	at org.eclipse.ui.PlatformUI.createAndRunWorkbench(PlatformUI.java:143)
	at org.safehaus.penrose.studio.PenroseApplication.run(Unknown Source)
	at org.eclipse.core.internal.runtime.PlatformActivator$1.run(PlatformActivator.java:226)
	at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:376)
	at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:163)
	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39)
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
	at java.lang.reflect.Method.invoke(Method.java:585)
	at org.eclipse.core.launcher.Main.invokeFramework(Main.java:334)
	at org.eclipse.core.launcher.Main.basicRun(Main.java:278)
	at org.eclipse.core.launcher.Main.run(Main.java:973)
	at org.eclipse.core.launcher.Main.main(Main.java:948)
Caused by: java.net.ConnectException: Connection refused: connect
	at java.net.PlainSocketImpl.socketConnect(Native Method)
	at java.net.PlainSocketImpl.doConnect(PlainSocketImpl.java:333)
	at java.net.PlainSocketImpl.connectToAddress(PlainSocketImpl.java:195)
	at java.net.PlainSocketImpl.connect(PlainSocketImpl.java:182)
	at java.net.SocksSocketImpl.connect(SocksSocketImpl.java:364)
	at java.net.Socket.connect(Socket.java:507)
	at java.net.Socket.connect(Socket.java:457)
	at java.net.Socket.<init>(Socket.java:365)
	at java.net.Socket.<init>(Socket.java:178)
	at sun.rmi.transport.proxy.RMIDirectSocketFactory.createSocket(RMIDirectSocketFactory.java:22)
	at sun.rmi.transport.proxy.RMIMasterSocketFactory.createSocket(RMIMasterSocketFactory.java:128)
	at sun.rmi.transport.tcp.TCPEndpoint.newSocket(TCPEndpoint.java:569)
	... 48 more


This output was generated by using the "Test Connection" button from inside the Edit Connection dialog box.

I have also done an ethereal packet sniff and traffic does travel between the 2 machines. Standard TCP SYN, ACK, SYN/ACK and then RMI packets (i think only 3 of them). I'd appreciate any help i can get.
Additional Comments From jimmytango829 dated Thu Jan 12 18:22:45 CST 2006 
Any questions, I just signed up (forgot to do that before submitting above bug report). So I should be able to provide more info if needed.

Additional Comments From endisd dated Mon Jan 30 14:20:57 CST 2006 
The problem cannot be reproduced. Please try the latest build. Feel free to reopen if the problem is still happening.


=========================================================
Issue dump from jira
$VAR1 = {
          'priority' => '3',
          'customFieldValues' => [],
          'project' => 'PENROSE',
          'status' => '5',
          'components' => [
                            {
                              'name' => 'Studio',
                              'id' => '10010'
                            }
                          ],
          'key' => 'PENROSE-130',
          'assignee' => 'endisd',
          'summary' => 'Cannot connect to Penrose Server from Penrose Studio',
          'id' => '10354',
          'updated' => '2006-12-16 21:14:18.0',
          'votes' => '0',
          'fixVersions' => [
                           {
                             'releaseDate' => '2006-01-24 00:00:00.0',
                             'sequence' => '9',
                             'name' => 'Penrose-0.9.9',
                             'released' => 'true',
                             'id' => '10040',
                             'archived' => 'false'
                           }
                         ],
          'affectsVersions' => [
                               {
                                 'releaseDate' => '2005-12-05 00:00:00.0',
                                 'sequence' => '8',
                                 'name' => 'Penrose-0.9.8',
                                 'released' => 'true',
                                 'id' => '10034',
                                 'archived' => 'false'
                               }
                             ],
          'description' => 'I have configured the Penrose server with the example data included and installed the schemas and everything. I am able to successfully start the Penrose server without any errors showing up in debug logging mode (created log4j config file). I am also able to successfully browse the LDAP tree from remote with a java-based ldap browser. This also generates no errors in any logs.

However when I try to connect to the server using penrose studio, it doesn't work at all. Here is the output of the local logfile for Penrose Studio:

PenrosePlugin        [   ?] Starting PenrosePlugin
PenroseApplication   [   ?] Initializing PenroseApplication ... init()
PenroseApplication   [   ?] Running Penrose Studio ... run()
PenroseWorkbenchWindowAdvisor [   ?] preWindowOpen
PenroseApplication   [   ?] Loading projects from C:\\Documents and Settings\\mbditt\\.penrose\\config.xml
ApplicationConfig    [   ?] Loading project configurations file from: C:\\Documents and Settings\\mbditt\\.penrose\\config.xml
PenroseClient        [  63] Connecting to 192.168.2.38:1099 as admin with password secret
PenroseClient        [  63] Connecting to 192.168.2.38:1099 as admin with password secret
ProjectEditorDialog$1 [   ?] Connection refused to host: 127.0.0.1; nested exception is: 
	java.net.ConnectException: Connection refused: connect
java.rmi.ConnectException: Connection refused to host: 127.0.0.1; nested exception is: 
	java.net.ConnectException: Connection refused: connect
	at sun.rmi.transport.tcp.TCPEndpoint.newSocket(TCPEndpoint.java:574)
	at sun.rmi.transport.tcp.TCPChannel.createConnection(TCPChannel.java:185)
	at sun.rmi.transport.tcp.TCPChannel.newConnection(TCPChannel.java:171)
	at sun.rmi.server.UnicastRef.invoke(UnicastRef.java:94)
	at javax.management.remote.rmi.RMIServerImpl_Stub.newClient(Unknown Source)
	at javax.management.remote.rmi.RMIConnector.getConnection(RMIConnector.java:2229)
	at javax.management.remote.rmi.RMIConnector.connect(RMIConnector.java:271)
	at javax.management.remote.JMXConnectorFactory.connect(JMXConnectorFactory.java:248)
	at org.safehaus.penrose.management.PenroseClient.connect(PenroseClient.java:74)
	at org.safehaus.penrose.studio.project.ProjectEditorDialog$1.widgetSelected(Unknown Source)
	at org.eclipse.swt.widgets.TypedListener.handleEvent(TypedListener.java:90)
	at org.eclipse.swt.widgets.EventTable.sendEvent(EventTable.java:66)
	at org.eclipse.swt.widgets.Widget.sendEvent(Widget.java:843)
	at org.eclipse.swt.widgets.Display.runDeferredEvents(Display.java:3080)
	at org.eclipse.swt.widgets.Display.readAndDispatch(Display.java:2713)
	at org.safehaus.penrose.studio.project.ProjectEditorDialog.open(Unknown Source)
	at org.safehaus.penrose.studio.project.ProjectDialog.editProject(Unknown Source)
	at org.safehaus.penrose.studio.project.ProjectDialog$10.widgetSelected(Unknown Source)
	at org.eclipse.swt.widgets.TypedListener.handleEvent(TypedListener.java:90)
	at org.eclipse.swt.widgets.EventTable.sendEvent(EventTable.java:66)
	at org.eclipse.swt.widgets.Widget.sendEvent(Widget.java:843)
	at org.eclipse.swt.widgets.Display.runDeferredEvents(Display.java:3080)
	at org.eclipse.swt.widgets.Display.readAndDispatch(Display.java:2713)
	at org.safehaus.penrose.studio.project.ProjectDialog.open(Unknown Source)
	at org.safehaus.penrose.studio.PenroseWorkbenchWindowAdvisor.preWindowOpen(Unknown Source)
	at org.eclipse.ui.internal.WorkbenchWindow.fireWindowOpening(WorkbenchWindow.java:1038)
	at org.eclipse.ui.internal.WorkbenchWindow.<init>(WorkbenchWindow.java:304)
	at org.eclipse.ui.internal.Workbench.newWorkbenchWindow(Workbench.java:1173)
	at org.eclipse.ui.internal.Workbench.busyOpenWorkbenchWindow(Workbench.java:662)
	at org.eclipse.ui.internal.Workbench.doOpenFirstTimeWindow(Workbench.java:1282)
	at org.eclipse.ui.internal.Workbench.openFirstTimeWindow(Workbench.java:1223)
	at org.eclipse.ui.internal.WorkbenchConfigurer.openFirstTimeWindow(WorkbenchConfigurer.java:190)
	at org.eclipse.ui.application.WorkbenchAdvisor.openWindows(WorkbenchAdvisor.java:706)
	at org.eclipse.ui.internal.Workbench.init(Workbench.java:1034)
	at org.eclipse.ui.internal.Workbench.runUI(Workbench.java:1636)
	at org.eclipse.ui.internal.Workbench.createAndRunWorkbench(Workbench.java:367)
	at org.eclipse.ui.PlatformUI.createAndRunWorkbench(PlatformUI.java:143)
	at org.safehaus.penrose.studio.PenroseApplication.run(Unknown Source)
	at org.eclipse.core.internal.runtime.PlatformActivator$1.run(PlatformActivator.java:226)
	at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:376)
	at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:163)
	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39)
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
	at java.lang.reflect.Method.invoke(Method.java:585)
	at org.eclipse.core.launcher.Main.invokeFramework(Main.java:334)
	at org.eclipse.core.launcher.Main.basicRun(Main.java:278)
	at org.eclipse.core.launcher.Main.run(Main.java:973)
	at org.eclipse.core.launcher.Main.main(Main.java:948)
Caused by: java.net.ConnectException: Connection refused: connect
	at java.net.PlainSocketImpl.socketConnect(Native Method)
	at java.net.PlainSocketImpl.doConnect(PlainSocketImpl.java:333)
	at java.net.PlainSocketImpl.connectToAddress(PlainSocketImpl.java:195)
	at java.net.PlainSocketImpl.connect(PlainSocketImpl.java:182)
	at java.net.SocksSocketImpl.connect(SocksSocketImpl.java:364)
	at java.net.Socket.connect(Socket.java:507)
	at java.net.Socket.connect(Socket.java:457)
	at java.net.Socket.<init>(Socket.java:365)
	at java.net.Socket.<init>(Socket.java:178)
	at sun.rmi.transport.proxy.RMIDirectSocketFactory.createSocket(RMIDirectSocketFactory.java:22)
	at sun.rmi.transport.proxy.RMIMasterSocketFactory.createSocket(RMIMasterSocketFactory.java:128)
	at sun.rmi.transport.tcp.TCPEndpoint.newSocket(TCPEndpoint.java:569)
	... 48 more


This output was generated by using the "Test Connection" button from inside the Edit Connection dialog box.

I have also done an ethereal packet sniff and traffic does travel between the 2 machines. Standard TCP SYN, ACK, SYN/ACK and then RMI packets (i think only 3 of them). I'd appreciate any help i can get.',
          'created' => '2006-01-12 18:19:43.0',
          'environment' => 'Windows XP SP2 with JDK 1.5.0_04',
          'resolution' => '5',
          'type' => '1'
        };


=========================================================
Comment 1 Chandrasekar Kannan 2008-12-27 03:00:50 EST
Marking bug as MODIFIED as it was already resolved in Jira - PENROSE-130

Note You need to log in before you can comment on or make changes to this bug.